Emgmbh\UserBundle\Entity\Worker:
    constraints:
        - Symfony\Bridge\Doctrine\Validator\Constraints\UniqueEntity: number
    properties:
        firstName:
            - NotBlank: ~
            - Type: string
        lastName:
            - NotBlank: ~
            - Type: string
        position:
            - Type: string
        postcode:
            - NotBlank: ~
        city:
            - NotBlank: ~
            - Type: string
        address:
            - NotBlank: ~
            - Type: string
        birthday:
            - NotBlank: ~
            - Date: ~
        number:
            - NotBlank: ~
            - Type: int
        team:
            - NotBlank: ~
        firstDay:
            - Date: ~
        lastDay:
            - Date: ~
        phone:
            - NotBlank: ~
            - Type: string
        email:
            - Email: ~
        isActive:
            - Type: bool
        pin:
            - NotBlank:
                groups: [update_pin]
            - Emgmbh\UserBundle\Validator\Constraints\Pin:
                groups: [update_pin]
        workerData:
            - Valid: ~